/*
 * Copyright or (C) or Copr. Normandie Univ, ENSICAEN, GREYC, Caen, France
 *
 * https://clouard.users.greyc.fr
 *
 * This software is governed by the CeCILL-B  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-B
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-B license and that you accept its terms.
 */
package fr.greyc.pantheon.ariane.presenter.command;

import javax.swing.JTextField;
import javax.swing.undo.AbstractUndoableEdit;

import fr.greyc.pantheon.ariane.model.graph.item.DataFile;

/**
 * This class is a part of the history manager.
 * It stores an add item action.
 */
public final class ChangeDatafileEdit extends AbstractUndoableEdit {

   private final DataFile _graphItem;
   private final JTextField _textfield1;
   private final String _newValue;
   private final String _oldValue;

   public ChangeDatafileEdit( DataFile graphItem, JTextField textfield1, String newValue, String oldValue ) {
      _graphItem = graphItem;
      _textfield1 = textfield1;
      _newValue = newValue;
      _oldValue = oldValue;
   }

   @Override
   public void redo() {
      _graphItem.changeBinaryName(_textfield1, _newValue, false);
   }

   @Override
   public void undo() {
      _graphItem.changeBinaryName(_textfield1, _oldValue, false);
   }
}
